Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.http
Class URLUtility

    java.lang.Object
      org.encog.util.http.URLUtility

    public final class URLUtility

extends Object

URLUtility: A set of useful utilities for processing URL's.

Field Summary
`static String` | `INDEX_FILE` The name of the usual default document.
`static int` | `SPECIAL_CHAR_LIMIT` Beyond this number are special chars.

Method Summary
`static URL` | `constructURL(URL base, String url, boolean stripRef)` Construct a URL from its basic parts.
`static boolean` | `containsInvalidURLCharacters(String url)` Returns true if the URL contains any invalid characters.
`static String` | `convertFilename(String base, URL url, boolean mkdir)` Convert a filename for local storage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPECIAL_CHAR_LIMIT

    public static final int SPECIAL_CHAR_LIMIT

  Beyond this number are special chars.

  See Also:
    Constant Field Values

### INDEX_FILE

    public static final String INDEX_FILE

  The name of the usual default document.

  See Also:
    Constant Field Values

Method Detail

### constructURL

    public static URL constructURL(URL base,
                                   String url,
                                   boolean stripRef)
                            throws IOException

  Construct a URL from its basic parts.

  Parameters:
    `base` - The base URL.
    `url` - The URL that was found on the base URL's page.
    `stripRef` - True if the URL's reference should be stripped.
  Returns:
    The new URL, built upon the base URL.
  Throws:
    `IOException` - Thrown if any IO error occurs.

### containsInvalidURLCharacters

    public static boolean containsInvalidURLCharacters(String url)

  Returns true if the URL contains any invalid characters.

  Parameters:
    `url` - The URL to be checked.
  Returns:
    True if the URL contains invalid characters.

### convertFilename

    public static String convertFilename(String base,
                                         URL url,
                                         boolean mkdir)

  Convert a filename for local storage. Also create the directory tree.

  Parameters:
    `base` - The local path that forms the base of the downloaded web tree.
    `url` - The URL path.
    `mkdir` - Should the directory structure be created.
  Returns:
    The resulting local path to store to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.